Bug 1061923 - remove trailing period from privacy URL
Summary: remove trailing period from privacy URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1118020
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-02-05 21:33 UTC by John Sefler
Modified: 2014-10-14 07:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
no documentation required
Clone Of:
Environment:
Last Closed: 2014-10-14 07:46:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description John Sefler 2014-02-05 21:33:12 UTC
Description of problem:
Remove the trailing period from url "http://www.redhat.com/legal/privacy_statement.html." in the following message id

msgid "<small><b>Tip:</b> Red Hat values your privacy: http://www.redhat.com/legal/privacy_statement.html.</small>"

Techically the url is wrong since the trailing period is not distinguishable bewteen being part of the url address and being a punctuation character.  Consequently it causes trouble during translation.

Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.13-1.el7.x86_64



Additional info:
This string is locatated in src/subscription_manager/gui/data/registration_info.glade

Comment 2 William Poteat 2014-02-20 20:03:16 UTC
Pull Request https://github.com/candlepin/subscription-manager/pull/914

Comment 3 William Poteat 2014-02-24 13:21:14 UTC
master commit bbfac4a7abd3daa86f3c49c789447060f17a350e

Comment 5 John Sefler 2014-07-09 21:15:14 UTC
Testing version...
[root@jsefler-6workstation ~]# rpm -q subscription-manager subscription-manager-gui
subscription-manager-1.12.4-1.el6.x86_64
subscription-manager-gui-1.12.4-1.el6.x86_64

[root@jsefler-6workstation ~]# rpm -ql subscription-manager-gui | grep registration_info.glade
/usr/share/rhsm/subscription_manager/gui/data/registration_info.glade
[root@jsefler-6workstation ~]# grep privacy_statement /usr/share/rhsm/subscription_manager/gui/data/registration_info.glade
                <property name="label" translatable="yes">&lt;small&gt;&lt;b&gt;Tip:&lt;/b&gt; Red Hat values your privacy: http://www.redhat.com/legal/privacy_statement.html&lt;/small&gt;</property>

VERIFIED: the trailing "." in "http://www.redhat.com/legal/privacy_statement.html" has been removed


[root@jsefler-6workstation ~]# rpm -ql subscription-manager | grep rhsm.mo | head -1
/usr/share/locale/as/LC_MESSAGES/rhsm.mo
[root@jsefler-6workstation ~]# msgunfmt --no-wrap /usr/share/locale/as/LC_MESSAGES/rhsm.mo | grep -A1 "privacy_statement"
[root@jsefler-6workstation ~]# 

FAILED: It appears that the keys/translations have not been pushed/pulled from https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.12.X

Bug 1118020 should be addressed before verifying this bug.

Comment 6 Sharath Dwaral 2014-08-04 18:14:27 UTC
Version:

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.22-1
subscription management rules: 5.11
subscription-manager: 1.12.11-1.el6
python-rhsm: 1.12.5-1.el6


Verification:

The string isn't avalable in the about mentione build. 
As mentioned in comment 5 waiting on translations to be completed..


ON HOLD

Comment 7 John Sefler 2014-08-29 18:48:35 UTC
Verifying Version....
[root@jsefler-6 ~]# rpm -q subscription-manager subscription-manager-gui
subscription-manager-1.12.14-2.el6.x86_64
subscription-manager-gui-1.12.14-2.el6.x86_64

[root@jsefler-6 ~]# grep privacy_statement /usr/share/rhsm/subscription_manager/gui/data/registration_info.glade
                <property name="label" translatable="yes">&lt;small&gt;&lt;b&gt;Tip:&lt;/b&gt; Red Hat values your privacy: http://www.redhat.com/legal/privacy_statement.html&lt;/small&gt;</property>

VERIFIED: the trailing "." in "http://www.redhat.com/legal/privacy_statement.html" has been removed


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/as/LC_MESSAGES/rhsm.mo | grep -A1 "privacy_statement"
msgid "<small><b>Tip:</b> Red Hat values your privacy: http://www.redhat.com/legal/privacy_statement.html</small>"
msgstr "<small><b>সহায়:</b> Red Hat এ আপোনাৰ গোপনীয়তাক মান দিয়ে: http://www.redhat.com/legal/privacy_statement.html</small>"

VERIFIED: translations with the new key (without trailing url period) have been completed and pulled into subscription-manager-gui

Comment 8 errata-xmlrpc 2014-10-14 07:46:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1384.html


Note You need to log in before you can comment on or make changes to this bug.